{#if canShow}
<slot></slot>
{:else}
<slot name="else">
</slot>
{/if}

<script>
import {Role} from '/lib/Roles'

export let role = Role.Admin
let canShow

const computation = Tracker.autorun(() => {
    let roles
    if (!Array.isArray(role)) {
        roles = [role, Role.ADMIN] // Admin can do anything
    } else {
        roles = [...role, Role.ADMIN]
    }
    canShow = !!Meteor.user() && Roles.userIsInRole(Meteor.userId(), roles)
})
</script>